## ats-lang-anairiats 0.2.11

=== Makefile ===
#########################################################################
##                                                                     ##
##                         Applied Type System                         ##
##                                                                     ##
##                              Hongwei Xi                             ##
##                                                                     ##
#########################################################################

##
## ATS/Anairiats - Unleashing the Potential of Types!
##
## Copyright (C) 2002-2008 Hongwei Xi.
##
## ATS is  free software;  you can redistribute it and/or modify it under
## the  terms of the  GNU General Public License as published by the Free
## Software Foundation; either version 2.1, or (at your option) any later
## version.
##
## ATS is distributed in the hope that it will be useful, but WITHOUT ANY
## WARRANTY; without  even  the  implied  warranty  of MERCHANTABILITY or
## FITNESS FOR A PARTICULAR PURPOSE.  See the  GNU General Public License
## for more details.
##
## You  should  have  received  a  copy of the GNU General Public License
## along  with  ATS;  see  the  file  COPYING.  If not, write to the Free
## Software Foundation, 51  Franklin  Street,  Fifth  Floor,  Boston,  MA
## 02110-1301, USA.
##

######

##
## Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
## Author: Likai Liu (liulk AT cs DOT bu DOT edu)
## Author: Yuri D'Elia (wavexx AT thregr DOT org)
##

.SUFFIXES:
all:: Makefile

######

# integration with autoconf.

SRC_CONFIG_FILES := config.mk.in config.h.in
BUILT_CONFIG_FILES := $(SRC_CONFIG_FILES:%.in=%)

Makefile: config.mk

config.status: configure
	./configure
	touch $@

$(BUILT_CONFIG_FILES): %: config.status $(filter-out %,$(SRC_CONFIG_FILES))
	./config.status
	touch $(BUILT_CONFIG_FILES)

config.h.in: configure.ac
	autoheader $<
	touch $@

configure: configure.ac $(SRC_CONFIG_FILES)
	aclocal
	automake --add-missing --foreign || true
	autoconf
	touch $(BUILT_CONFIG_FILES)

-include config.mk

######

DESTDIR :=

export ATSHOME
export ATSHOMERELOC
export ATSHOMEQ

######

bindir2=$(DESTDIR)$(bindir)
ATSLIBHOME2=$(DESTDIR)$(ATSLIBHOME)

######

#
# HX-2011-06-01:
# This part is by Georg Bauhaus (bauhaus AT arcor DOT de):
# It addresses the issue that the [-D] option is not available
# for $(INSTALL) on MacOSX.
#
.PHONY: install_dirs

install_dirs:: config.h
#
# make all subdirectories needed by install.
#
	cd $(abs_top_srcdir)
	[ -d $(bindir2) ] || $(MKDIR_P) $(bindir2)
	$(MKDIR_P) $(ATSLIBHOME2)/bin
	find ccomp contrib doc libats libc prelude -type d \
	  -exec $(MKDIR_P) $(ATSLIBHOME2)/\{} \; \
	  -print

install_files:: install_dirs
#
# recursively install all files in the list except .svn control files.
#
	for d in ccomp/runtime contrib doc libats libc prelude; do \
	  cd $(abs_top_srcdir) && \
	  $(INSTALL) -d $(ATSLIBHOME2)/"$$d" && \
	  find "$$d" -name .svn -prune -o -type f \
            -exec $(INSTALL) -m 644 \{} $(ATSLIBHOME2)/\{} \; \
	    -print && \
	  find "$$d" -name .svn -prune -o -type l \
            -exec cp -d \{} $(ATSLIBHOME2)/\{} \; \
	    -print; \
	done
#
# install specific files in the list as regular files.
#
	for f in \
	    COPYING INSTALL *.txt ccomp/lib/*.a ccomp/lib64/*.a config.h; \
	do \
	  [ -f "$$f" ] || continue; \
	  cd $(abs_top_srcdir) && \
	  $(INSTALL) -m 644 "$$f" $(ATSLIBHOME2)/"$$f" && \
	  echo "$$f"; \
	done
#
# install specific files in the list as executables.
#
	for f in bin/*; do \
	  cd $(abs_top_srcdir) && \
	  $(INSTALL) -m 755 "$$f" $(ATSLIBHOME2)/"$$f" && \
	  echo "$$f"; \
	done
#
# install multiple copies of wrapper script, for each binary.
#
	for f in bin/*; do \
	  b=`basename "$$f"`; \
	  cd $(abs_top_srcdir) && \
	  $(INSTALL) -m 755 ats_env.sh $(bindir2)/"$$b" && \
	  echo [ats_env.sh] is installed into $(bindir2)/"$$b"; \
	done

install:: install_files

######

all:: \
  atsopt1 \
  bin/atscc \
  bin/atslib \
  libfiles \
  libfiles_mt \
  bin/atspack \
  libatsdoca \
  ccomp/runtime/GCATS/gc.o \
  ccomp/runtime/GCATS/gc_mt.o \
  atsopt1_gc \
  bin/atslex \
  bin/atsdoc \
  contrib
	@echo "ATS/Anairiats has been built up successfully!"
	@echo "The value of ATSHOME for this build is \"$(ATSHOME)\"."
	@echo "The value of ATSHOMERELOC for this build is \"$(ATSHOMERELOC)\"."

###### w/o GC ######

atsopt1::
	$(MAKE) -C bootstrap1 -f ../Makefile_bootstrap BOOTSTRAP1=1 atsopt
	cp bootstrap1/atsopt $(ATSHOMEQ)/bin/atsopt

###### with GC ######

atsopt1_gc::
	$(MAKE) -C bootstrap1 -f ../Makefile_bootstrap BOOTSTRAP1=1 atsopt_gc
	cp bootstrap1/atsopt_gc $(ATSHOMEQ)/bin/atsopt

###### contrib libraries ######

contrib::
# ifeq (1,1)
# 	$(MAKE) -C contrib/parcomb all
# endif
# ifeq ($(HAVE_LIBGLIB20),1)
# 	$(MAKE) -C contrib/glib all
# endif
# ifeq ($(HAVE_LIBGTK20),1)
# 	$(MAKE) -C contrib/cairo all
# 	$(MAKE) -C contrib/pango all
# 	$(MAKE) -C contrib/GTK all
# endif
# ifeq ($(HAVE_LIBSDL10),1)
# 	$(MAKE) -C contrib/SDL all
# endif

###### some toplevel commands ######

bin/atscc bin/atslib:
	$(MAKE) -C utils/scripts atscc
	$(CPF) utils/scripts/atscc $(ATSHOMEQ)/bin
	$(MAKE) -C utils/scripts atslib
	$(CPF) utils/scripts/atslib $(ATSHOMEQ)/bin
	$(MAKE) -C utils/scripts clean

bin/atspack:
	$(MAKE) -C utils/scripts atspack
	cp utils/scripts/atspack $(ATSHOMEQ)/bin

###### library ######

ATS_PROOFCHECK=
#
# ATS_PROOFCHECK=-D_ATS_PROOFCHECK # it should be turned on from time to time
#
# [CC -E] for preprocessing
#

ATSLIB=$(ATSHOMEQ)/bin/atslib

.libfiles_local: .libfiles ; $(CC) -E -P -x c -o $@ $<
libfiles: .libfiles_local
	$(ATSLIB) $(ATS_PROOFCHECK) -O2 --libats
	$(ATSLIB) $(ATS_PROOFCHECK) -O2 --libats_lex
	$(ATSLIB) $(ATS_PROOFCHECK) -O2 --libats_smlbas

lib32files: .libfiles_local
	$(ATSLIB) $(ATS_PROOFCHECK) -m32 -O2 --libats
	$(ATSLIB) $(ATS_PROOFCHECK) -m32 -O2 --libats_lex
	$(ATSLIB) $(ATS_PROOFCHECK) -m32 -O2 --libats_smlbas

lib64files: .libfiles_local
	$(ATSLIB) $(ATS_PROOFCHECK) -m64 -O2 --libats
	$(ATSLIB) $(ATS_PROOFCHECK) -m64 -O2 --libats_lex
	$(ATSLIB) $(ATS_PROOFCHECK) -m64 -O2 --libats_smlbas

.libfiles_mt_local: .libfiles_mt ; $(CC) -E -P -x c -o $@ $<
libfiles_mt: .libfiles_mt_local
	$(ATSLIB) $(ATS_PROOFCHECK) -D_ATS_MULTITHREAD -O2 --libats_mt

libatsdoca: ; $(MAKE) -C libatsdoc

###### a lexer for ATS ######

bin/atslex:
	cd utils/atslex; $(MAKE) atslex; cp atslex $(ATSHOMEQ)/bin
	cd utils/atslex; $(MAKE) clean

###### GC runtime ######

bin/atsdoc:
	cd utils/atsdoc; $(MAKE) atsdoc; cp atsdoc $(ATSHOMEQ)/bin
	cd utils/atsdoc; $(MAKE) clean

###### GC runtime ######

ccomp/runtime/GCATS/gc.o:
	cd ccomp/runtime/GCATS; $(MAKE) gc.o; $(MAKE) clean

ccomp/runtime/GCATS/gc_mt.o:
	cd ccomp/runtime/GCATS; $(MAKE) gc_mt.o; $(MAKE) clean

######

CPF=cp -f
RMF=rm -f

######

clean::
	$(RMF) bootstrap1/*.o
	$(MAKE) -C utils/scripts clean
	$(MAKE) -C utils/atslex clean
	$(MAKE) -C utils/atsdoc clean
	$(MAKE) -C ccomp/runtime/GCATS clean

cleanall::
	$(RMF) bootstrap1/*.o
	$(RMF) $(BUILT_CONFIG_FILES)
	$(RMF) .libfiles_local
	$(RMF) .libfiles_mt_local
	$(RMF) bin/atsopt bin/atscc bin/atslib
	$(RMF) bin/atspack bin/atslex bin/atsdoc
	$(RMF) ccomp/lib/libats.a
	$(RMF) ccomp/lib/libats_mt.a
	$(RMF) ccomp/lib/libats_lex.a
	$(RMF) ccomp/lib/libats_smlbas.a
	$(RMF) ccomp/lib/libatsdoc.a
	$(RMF) ccomp/lib/output/*
	$(RMF) ccomp/lib64/libats.a
	$(RMF) ccomp/lib64/libats_mt.a
	$(RMF) ccomp/lib64/libats_lex.a
	$(RMF) ccomp/lib64/libats_smlbas.a
	$(RMF) ccomp/lib64/libatsdoc.a
	$(RMF) ccomp/lib64/output/*
	$(RMF) contrib/glib/atsctrb_glib.o
	$(RMF) contrib/cairo/atsctrb_cairo.o
	$(RMF) contrib/pango/atsctrb_pango.o
	$(RMF) contrib/X11/atsctrb_X11.o
	$(RMF) contrib/GTK/atsctrb_GTK.o
	$(RMF) contrib/GL/atsctrb_GL.o
	$(RMF) contrib/GL/atsctrb_glut.o
	$(RMF) contrib/GL/atsctrb_gtkglext.o
	$(RMF) contrib/SDL/atsctrb_SDL.o

cleanall:: ; $(MAKE) -C utils/atslex cleanall
cleanall:: ; $(MAKE) -C utils/scripts cleanall
cleanall:: ; $(MAKE) -C ccomp/runtime/GCATS cleanall

distclean:: cleanall
distclean:: ; find . -name .svn -prune -o -name \*~ -exec rm \{} \;

######
#
# end of [Makefile_dist]
#
######

=== libatsdoc/Makefile ===
#######################################################################
#                                                                     #
#                         Applied Type System                         #
#                                                                     #
#                              Hongwei Xi                             #
#                                                                     #
#######################################################################

#
# ATS/Postiats - Unleashing the Potential of Types!
# Copyright (C) 2011-20?? Hongwei Xi, ATS Trustworthy Software
# All rights reserved
#
# ATS is  free software;  you can redistribute it and/or modify it under
# the  terms of the  GNU General Public License as published by the Free
# Software Foundation; either version 2.1, or (at your option) any later
# version.
# 
# ATS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without  even  the  implied  warranty  of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the  GNU General Public License
# for more details.
# 
# You  should  have  received  a  copy of the GNU General Public License
# along  with  ATS;  see the  file COPYING.  If not, please write to the
# Free Software Foundation,  51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

######
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Start Time: August, 2011
#
######

ATSHOMEQ="$(ATSHOME)"

######

GCC=gcc

######

all:: Makefile_out
all:: ; make -f Makefile_out
all:: cleanall

######

Makefile_out: Makefile_inp ; $(GCC) -I $(ATSHOMEQ) -E -P -o $@ -x c $<

######

RMF=rm -f

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.o
clean:: ; $(RMF) *_?ats.c

cleanall:: clean
cleanall:: ; $(RMF) Makefile_out
cleanall:: ; $(RMF) libatsdoc.a

###### end of [Makefile] ######

=== contrib/GL/Makefile ===
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Time: December, 2009
#

######

ATSUSRQ="$(ATSHOME)"
ifeq ($(ATSUSRQ),"")
ATSUSRQ="/usr"
endif

ATSCC=$(ATSUSRQ)/bin/atscc

######

all:: atsctrb_GL.o
all:: atsctrb_glut.o
all:: clean

######

atsctrb_GL.o: gl_sats.o glu_sats.o ; ld -r -o $@ $^
atsctrb_glut.o: glut_sats.o glut_dats.o ; ld -r -o $@ $^

######

gl_sats.o: SATS/gl.sats
	$(ATSCC) -o $@ -c SATS/gl.sats

glu_sats.o: SATS/glu.sats
	$(ATSCC) -o $@ -c SATS/glu.sats

######

glut_sats.o: SATS/glut.sats
	$(ATSCC) -o $@ -c SATS/glut.sats
glut_dats.o: DATS/glut.dats
	$(ATSCC) -o $@ -c DATS/glut.dats

######

RMF=rm -f

######

clean:: ; $(RMF) *_?ats.c *_?ats.o

cleanall:: clean
cleanall:: ; $(RMF) atsctrb_GL.o atsctrb_glut.o

###### end of [Makefile] ######

=== contrib/GTK/Makefile ===
#
# API for GTK in ATS
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Time: May, 2010
#

######

ATSUSRQ="$(ATSHOME)"
ifeq ($(ATSUSRQ),"")
ATSUSRQ="/usr"
endif # end of [ifeq]

######

ATSCC=$(ATSUSRQ)/bin/atscc
ATSCTRB=$(ATSUSRQ)/contrib
GTKCFLAGS = `pkg-config gtk+-2.0 --cflags`

######

all:: atsctrb_GTK.o
all:: clean

######

atsctrb_GTK.o: GTK_dats.o
	ld -r -o $@ GTK_dats.o

######

GTK_dats.o: DATS/gtk.dats
	$(ATSCC) -Wall $(GTKCFLAGS) -o $@ -c $<

######

RMF=rm -f

######

clean:: ; $(RMF) *_?ats.c *_?ats.o

cleanall:: clean
cleanall:: ; $(RMF) atsctrb_GTK.o

###### end of [Makefile] ######

=== contrib/SDL/Makefile ===
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Time: January, 2010
#

######

ATSHOMEQ="$(ATSHOME)"
ATSCC=$(ATSHOMEQ)/bin/atscc -Wall
SDLCFLAGS=`sdl-config --cflags`

######

all:: atsctrb_SDL.o
all:: clean

######

OBJECTS := \
  SDL_sats.o \
  SDL_dats.o \
  SDL_image_sats.o \
  SDL_ttf_sats.o \

######

atsctrb_SDL.o: $(OBJECTS) ; ld -r -o $@ $(OBJECTS)

######

SDL_sats.o: \
   SATS/SDL.sats \
   SATS/SDL_thread.sats \
   SATS/SDL_timer.sats \
   SATS/SDL_video.sats
	$(ATSCC) $(SDLCFLAGS) -o $@ -c SATS/SDL.sats

SDL_dats.o: DATS/SDL.dats
	$(ATSCC) $(SDLCFLAGS) -o $@ -c DATS/SDL.dats

######

SDL_image_sats.o: SATS/SDL_image.sats
	$(ATSCC) $(SDLCFLAGS) -o $@ -c SATS/SDL_image.sats

######

SDL_ttf_sats.o: SATS/SDL_ttf.sats
	$(ATSCC) $(SDLCFLAGS) -o $@ -c SATS/SDL_ttf.sats

######

RMF=rm -f

######

clean:: ; $(RMF) SDL_sats.c SDL_sats.o
clean:: ; $(RMF) SDL_dats.c SDL_dats.o
clean:: ; $(RMF) SDL_image_sats.c SDL_image_sats.o
clean:: ; $(RMF) SDL_ttf_sats.c SDL_ttf_sats.o

cleanall: clean ; $(RMF) atsctrb_SDL.o

###### end of [Makefile] ######

=== contrib/X11/Makefile ===
#
# API for Xlib in ATS
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Time: January, 2010
#

######

ATSUSRQ="$(ATSHOME)"
ifeq ($(ATSHOME),"")
ATSUSRQ="/usr"
endif

######

ATSCC=$(ATSUSRQ)/bin/atscc -Wall

######

all: atsctrb_X11.o clean

######

atsctrb_X11.o: \
  X_sats.o \
  Xlib_sats.o Xlib_dats.o
	ld -r -o $@ \
  X_sats.o \
  Xlib_sats.o Xlib_dats.o

######

X_sats.o: SATS/X.sats
	$(ATSCC) -IX11 -o $@ -c SATS/X.sats

######

Xlib_sats.o: SATS/Xlib.sats
	$(ATSCC) -IX11 -o $@ -c SATS/Xlib.sats

Xlib_dats.o: DATS/Xlib.dats
	$(ATSCC) -IX11 -o $@ -c DATS/Xlib.dats

######

clean::
	rm -f X_sats.c X_sats.o
	rm -f Xlib_sats.c Xlib_sats.o
	rm -f Xlib_dats.c Xlib_dats.o

cleanall: clean
	rm -f atsctrb_Xlib.o

###### end of [Makefile] ######

=== contrib/cairo/Makefile ===
#
# API for cairo in ATS
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Time: December, 2009
#

######

ATSUSRQ="$(ATSHOME)"
ifeq ($(ATSUSRQ),"")
ATSUSRQ="/usr"
endif

######

ATSCC=$(ATSUSRQ)/bin/atscc -Wall
XRCFLAGS=`pkg-config cairo --cflags`

######

all:: atsctrb_cairo.o
all:: clean

######

atsctrb_cairo.o: \
  cairo_dats.o cairo_extra_dats.o
	ld -r -o $@ $^

######

cairo_dats.o: DATS/cairo.dats
	$(ATSCC) $(XRCFLAGS) -o $@ -c DATS/cairo.dats

cairo_extra_dats.o: DATS/cairo_extra.dats
	$(ATSCC) $(XRCFLAGS) -o $@ -c DATS/cairo_extra.dats

######

clean::
	rm -f *_?ats.c *_?ats.o

cleanall: clean
	rm -f atsctrb_cairo.o

###### end of [Makefile] ######

=== contrib/cblas/Makefile ===
#
# API for cblas in ATS
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Author: Shivkumar Chandrasekaran (shiv AT ece DOT ucsb DOT edu)
# Time: July, 2010
#

######

ATSUSRQ="$(ATSHOME)"
ifeq ($(ATSUSRQ),"")
ATSUSRQ="/usr"
endif

######

ATSCC=$(ATSUSRQ)/bin/atscc -Wall

LD=ld
LIBFLAGS=-L/usr/lib/atlas

######

all: atsctrb_cblas.o clean

######

atsctrb_cblas.o: \
  cblas_dats.o cblas_extra_dats.o ; $(LD) -r -o $@ $^

######

cblas_dats.o: \
  DATS/cblas.dats; $(ATSCC) $(LIBFLAGS) -o $@ -c DATS/cblas.dats
cblas_extra_dats.o: \
  DATS/cblas_extra.dats; $(ATSCC) $(LIBFLAGS) -o $@ -c DATS/cblas_extra.dats

######

clean::
	rm -f *_?ats.c *_?ats.o

cleanall: clean
	rm -f atsctrb_cblas.o

###### end of [Makefile] ######

=== contrib/clapack/Makefile ===
#
# API for clapack in ATS
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Author: Shivkumar Chandrasekaran (shiv AT ece DOT ucsb DOT edu)
# Time: July, 2010
#

######

ATSUSRQ="$(ATSHOME)"
ifeq ($(ATSUSRQ),"")
ATSUSRQ="/usr"
endif

######

ATSCC=$(ATSUSRQ)/bin/atscc -Wall
LIBFLAGS=-L/usr/lib/atlas

######

all: atsctrb_clapack.o clean

######

atsctrb_clapack.o: clapack_dats.o
	ld -r -o $@ clapack_dats.o

######

clapack_dats.o: DATS/clapack.dats
	$(ATSCC) $(LIBFLAGS) -o $@ -c DATS/clapack.dats

######

clean::
	rm -f *_?ats.c *_?ats.o

cleanall: clean
	rm -f atsctrb_clapack.o

###### end of [Makefile] ######

=== contrib/glib/Makefile ===
#
# API for glib in ATS
#
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
# Time: February, 2010
#

######

ATSUSRQ="$(ATSHOME)"
ifeq ($(ATSUSRQ),"")
ATSUSRQ="/usr"
endif

######

ATSCC=$(ATSUSRQ)/bin/atscc -Wall
GLIBCFLAGS = `pkg-config glib-2.0 --cflags`

######

GCC=gcc

######

all:: glibconfig
all:: atsctrb_glib.o
all:: clean

######

glibconfig: HATS/glibconfig_hats
	$(GCC) $(GLIBCFLAGS) -E -P -o HATS/glibconfig.hats -x c $<

######

atsctrb_glib.o: \
  glib_sats.o glib_dats.o
	ld -r -o $@ \
  glib_sats.o glib_dats.o

######

glib_sats.o: SATS/glib.sats
	$(ATSCC) $(GLIBCFLAGS) -o $@ -c SATS/glib.sats

glib_dats.o: DATS/glib.dats
	$(ATSCC) $(GLIBCFLAGS) -o $@ -c DATS/glib.dats

######

clean::
	rm -f glib_sats.c glib_sats.o
	rm -f glib_dats.c glib_dats.o

cleanall: clean
	rm -f atsctrb_glib.o

###### end of [Makefile] ######

=== contrib/jansson/Makefile ===
#
# API for cairo in ATS
#
# Start Time: August, 2012
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
#

######

ATSHOMEQ="$(ATSHOME)"

######

ATSCC=$(ATSHOMEQ)/bin/atscc
ATSCTRB="$(ATSHOME)"/contrib
JANSSONCLFLAGS=-ljansson

######

all::

######

all:: atsctrb_jansson.o
atsctrb_jansson.o: jansson_dats.o ; ld -r -o $@ $^

######

jansson_dats.o: DATS/jansson.dats
	$(ATSCC) -O2 -I$(ATSCTRB) -IATS$(ATSCTRB) -o $@ -c $< $(JANSSONCLFLAGS)

######

RMF=rm -f

######

all:: clean
clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c *_?ats.o

######

cleanall:: clean
cleanall:: ; $(RMF) atsctrb_jansson.o

###### end of [Makefile] ######

=== contrib/mysql/Makefile ===
#
# API for mysql in ATS
#
# Start Time: August, 2012
# Author: Hongwei Xi (hwxi AT cs DOT bu DOT edu)
#

######

ATSHOMEQ="$(ATSHOME)"

######

ATSCC=$(ATSHOMEQ)/bin/atscc
ATSCTRB=$(ATSHOMEQ)/contrib
MYSQLCFLAGS=`mysql_config --cflags --libs`

######

all::

######

all:: atsctrb_mysql.o
atsctrb_mysql.o: mysql_dats.o ; ld -r -o $@ $^

######

mysql_dats.o: DATS/mysql.dats
	$(ATSCC) -O2 -I$(ATSCTRB) -IATS$(ATSCTRB) -o $@ -c $< $(MYSQLCFLAGS)

######

RMF=rm -f

######

all:: clean
clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c *_?ats.o

######

cleanall:: clean
cleanall:: ; $(RMF) atsctrb_mysql.o

###### end of [Makefile] ######

=== debian/changelog ===
ats-lang-anairiats (0.2.11-1) unstable; urgency=low

  * New upstream release

 -- Matthew Danish <mrd@debian.org>  Thu, 10 Oct 2013 16:11:17 -0400

=== debian/control ===
Source: ats-lang-anairiats
Section: devel
Priority: optional
Maintainer: Matthew Danish <mrd@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libgmp3-dev, libpcre3-dev, libsdl1.2-dev, libgtk2.0-dev, libcairo2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libblas-dev, liblapack-dev
Standards-Version: 3.9.4.0
Homepage: http://www.ats-lang.org

Package: ats-lang-anairiats
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgmp3-dev, libpcre3-dev, libsdl1.2-dev, libgtk2.0-dev, libcairo2-dev
Suggests: ats-lang-anairiats-examples, ats-lang-anairiats-doc, ats2-lang
Description: Legacy ATS v1 language compiler, named Anairiats
 ATS is a programming language with a highly expressive type system
 rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Anairiats) is written in ATS itself. It
 can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 In addition, ATS contains a component ATS/LF that supports a form of
 (interactive) theorem proving, where proofs are constructed as total
 functions. With this component, ATS advocates a programming style
 that combines programming with theorem proving. Furthermore, this
 component may be used as a logical framework to encode various
 deduction systems and their (meta-)properties.
 .
 This package contains the compiler atsopt, the frontend atscc, and 
 the lexer atslex.
 .
 This is the final release of ATS1. Please migrate your code to ATS2/Postiats,
 the compiler frontend patscc (patsopt), in the package ats2-lang.  This
 package is for legacy code and bootstrapping purposes.

Package: ats-lang-anairiats-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: ats-lang-anairiats
Description: Examples for the ATS compiler Anairiats
 ATS is a programming language with a highly expressive type system
 rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Anairiats) is written in ATS itself. It
 can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 In addition, ATS contains a component ATS/LF that supports a form of
 (interactive) theorem proving, where proofs are constructed as total
 functions. With this component, ATS advocates a programming style
 that combines programming with theorem proving. Furthermore, this
 component may be used as a logical framework to encode various
 deduction systems and their (meta-)properties.
 .
 This package contains some examples of the language.

Package: ats-lang-anairiats-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ats-lang-anairiats
Section: doc
Description: Documentation for the ATS compiler Anairiats
 ATS is a programming language with a highly expressive type system
 rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Anairiats) is written in ATS itself. It
 can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 In addition, ATS contains a component ATS/LF that supports a form of
 (interactive) theorem proving, where proofs are constructed as total
 functions. With this component, ATS advocates a programming style
 that combines programming with theorem proving. Furthermore, this
 component may be used as a logical framework to encode various
 deduction systems and their (meta-)properties.
 .
 This package contains some documentation for the language.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)

override_dh_clean:
	dh_clean
	make cleanall
	rm -f stamp-h1 config.log config.status .ATSHOME .ATSHOMERELOC config.h
	rm -f ats_env.sh test.sh config.mk
	rm -f ccomp/lib/output/* ccomp/lib64/output/*
	rm -f ccomp/lib/*.a ccomp/lib64/*.a
	rm -f contrib/*/*.o
	rm -f contrib/clapack/TEST/test contrib/glib/HATS/glibconfig.hats
	rm -f bootstrap1/atsopt bootstrap1/atsopt_gc utils/scripts/atscc utils/scripts/atslib utils/scripts/atspack utils/atslex/atslex utils/atsdoc/atsdoc
